BLKDISCARD(8)

NOM
blkdiscard - Abandonner des secteurs sur un périphérique

SYNOPSIS

blkdiscard [options] [-o position] [-l taille] périphérique

DESCRIPTION

blkdiscard est utilisé pour abandonner des secteurs sur un périphérique. C’est pratique pour les pilotes SSD (« solid-state drive ») et l’allocation fine et dynamique (« thinly-provisioned storage »). Contrairement à fstrim(8), cette commande est utilisée directement sur le périphérique bloc.

Par défaut, blkdiscard abandonnera tous les blocs sur le périphérique. Les options permettent de modifier ce comportement en fonction d’intervalle ou de taille, conformément aux explications suivantes.

Le paramètre périphérique est le chemin du périphérique bloc.

Attention : toutes les données de la région abandonnée sur le périphérique seront perdues !

OPTIONS

Les arguments position et taille peuvent être suivis des suffixes multiplicatifs KiB=1024, MiB=1024*1024, etc., pour GiB, TiB, PiB, EiB, ZiB et YiB (la partie « iB » est facultative, par exemple « K » est identique à « KiB ») ou des suffixes KB=1000, MB=1000*1000, etc., pour GB, TB, PB, EB, ZB et YB.

-f, --force
    Disable all checking. Since v2.36 the block device is open in exclusive mode (O_EXCL) by default to avoid collision with mounted filesystem or another kernel subsystem. The --force option disables the exclusive access mode.

-o, --offset position
    La position en octet dans le périphérique à partir de laquelle abandonner. La valeur fournie doit être alignée sur la taille des secteurs du périphérique. La valeur par défaut est zéro.

-l, --length taille
    Le nombre d’octets à abandonner (à partir du point de départ). La valeur fournie doit être alignée sur la taille des secteurs du périphérique. Si la valeur indiquée va au-delà de la fin du périphérique, blkdiscard s’arrêtera à la limite de taille du périphérique. La valeur par défaut prolonge la recherche jusqu’à la fin du périphérique.

-p, --step taille
    Le nombre d’octets à abandonner en une opération. Par défaut, tout est abandonné par un appel de l’ioctl.

-q, --quiet
    Suppress warning messages.

-s, --secure
    Réaliser un abandon sûr. Un abandon sûr est comme un abandon ordinaire, à part que toutes les copies des blocs abandonnés qui ont été éventuellement créées par le ramasse-miettes seront aussi écrasées. Cela nécessite une prise en charge par le périphérique.

-z, --zeroout
    Remplir de zéro plutôt que d’abandonner.

-v, --verbose
    Afficher les valeurs alignées de position et taille. Si l’option --step est indiquée, la progression d’abandon est affichée toutes les secondes.

-h, --help
    Afficher l’aide-mémoire puis quitter.

-V, --version
    Afficher le numéro de version et quitter.

CODE DE RETOUR

blkdiscard has the following exit status values:

0
    Succès.

1
    failure; incorrect invocation, permissions or any other generic error

2
    failure; since v2.39, the device does not support discard operation

AUTEURS

VOIR AUSSI

fstrim(8)

SIGNALER DES BOGUES

Pour signaler un bogue, utilisez le gestionnaire de bogues sur

DISPONIBILITÉ

La commande blkdiscard fait partie du paquet util-linux, elle est disponible sur